## ide-extension-util-private ide-extension-util-private |

## Functions

gboolean | ide_extension_util_can_use_plugin ()
PeasExtensionSet * | ide_extension_set_new ()
PeasExtension * | ide_extension_new ()

## Description

## Functions

### ide_extension_util_can_use_plugin ()

    gboolean
    ide_extension_util_can_use_plugin (PeasEngine *engine,
                                       PeasPluginInfo *plugin_info,
                                       GType interface_type,
                                       const gchar *key,
                                       const gchar *value,
                                       gint *priority);

### ide_extension_set_new ()

    PeasExtensionSet *
    ide_extension_set_new (PeasEngine *engine,
                           GType type,
                           const gchar *first_property,
                           ...);

This function acts like `peas_extension_set_new()` except that it allows for us to pass properties that are in the parent class.

It does this by duplicating some of the GParameter stuff that libpeas does but looking at base-classes in addition to interface properties.

#### Returns

a PeasExtensionSet.

[transfer full]

Since: 3.32

### ide_extension_new ()

    PeasExtension *
    ide_extension_new (PeasEngine *engine,
                       PeasPluginInfo *plugin_info,
                       GType interface_type,
                       const gchar *first_property,
                       ...);